%{?build_selinux}%{?!build_selinux:%bcond_without selinux}

Name:		python-xpyb
Version:	1.3.1
Release:	1
Summary:	Python bindings to XCB
Group:		Development/Python
License:	Public Domain
URL:		http://xcb.freedesktop.org
Source:		http://xcb.freedesktop.org/dist/xpyb-%{version}.tar.bz2
#BuildRequires:	xcb-proto
BuildRequires:	xcb-devel
BuildRequires:	python-devel

%description
The Python binding for XCB allows the X protocol to be accessed directly from
Python. There are two components:

- A Python extension written in C. This exposes XCB-specific objects and
  library functions, as well as providing various base classes used by the
  generated code.
- Python modules which are generated directly from the XCB-XML protocol
  descriptions.

%package devel
Summary:	Devel files of xpyb
Requires:	%{name} = %{EVRD}
Requires:	xcb-devel
Requires:	python-devel

%description devel
This package provides devel files of xpyb, a Python binding to the
X Window System protocol via libxcb.

%prep
%setup -qn xpyb-%{version}

%build
./configure \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--docdir=%{_docdir}/xpyb \
%if %{with selinux}
	--enable-selinux
%else %{with selinux}
	--disable-selinux
%endif

%make

%install
%makeinstall_std
# Delete INSTALL doc
find %{buildroot} -name 'INSTALL' -exec rm -f {} ';'

%files
%{py_platsitedir}/xcb/
%{_docdir}/xpyb/

%files devel
%{_libdir}/pkgconfig/xpyb.pc
%{_includedir}/*.h


%changelog

* Mon Apr 06 2015 Denis Silakov <denis.silakov@rosalab.ru> 1.3.1-1
- (1c32fe5) Imported from SRPM


